<form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
  <mat-form-field appearance="fill">
    <mat-label for="username">Username: </mat-label>
    <input matInput  id="username" type="text" placeholder="myUserName" formControlName="nickname" required>
  </mat-form-field>
  
  <mat-form-field appearance="fill"> 
    <mat-label for="password">Password: </mat-label>
    <input matInput  id="password" type="password" placeholder="******" formControlName="password" required>
  </mat-form-field>
  
  <button type="submit" mat-button [disabled]="!loginForm.valid">Login</button>
</form>